Subject: RE: file
From: [email-masked] (Todd Goodman)

2 Nov 1998 17:14:16 -0800
Message-ID: <000001be05f3$e12bf9e0$b0482499.cygnus.gnu-win32@tgoodman8>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Corinna Vinschen" <[email-masked]>,
        "Leif Jackson" <[email-masked]>, <[email-masked]>

This is great.

My thanks to you both,

Todd

> -----Original Message-----
> From: Corinna Vinschen [mailto:[email-masked]]
> Sent: Sunday, November 01, 1998 6:56 PM
> To: Todd Goodman; Leif Jackson; [email-masked]
> Subject: Re: file
> 
> 
> Todd Goodman wrote:
> > 
> > Thanks very much for the information.  However, I'm still 
> unable to find the
> > proper package either at
> > http://www.gnu.org or ftp://prep.ai.mit.edu.
> > 
> > Do you have the proper package name?
> 
> > Leif Jackson wrote:
> > Accualy the command file doesn't seem to be a gnu product.
> > 
> > I found the lastest version for the orginal site found on sunsite's lsm
> > file.
> > 
> > ftp://ftp.astron.com/pub/file/file-3.26.tar.gz
> > 
> > Laters,
> > Leif
> > 
> 
> OOOPS!
> 
> Do you see my red head? Your answers gave me the decisive tip:
> The sources, I've used, were not from the gnu page, but
> from Linux sources, version file-3.22. Sorry, sorry, sorry!
> 
> The file-3.26, mentioned by Leif, is the newest version of it.
> I have download and compiled it. The patchfile is attached.
> My mail to you, Todd, were too fast written. Compiling the
> 3.26 shows another problem, the missing "#include <errno.h>"
> in three files.
> 
> > p.s. Rember that B20 doesn't use __CYGWIN32__ anymore it has __CYGWIN__
> > for your patch below :)
> 
> Correct! The patchfile contains the patch for both versions (b19 and
> b20).
> 
> Regards,
> Corinna
> 
> -------- snip ---------
> --- compress.c.orig     Mon Nov 02 00:46:43 1998
> +++ compress.c  Mon Nov 02 00:47:01 1998
> @@ -9,6 +9,7 @@
>  #include <stdlib.h>
>  #include <unistd.h>
>  #include <string.h>
> +#include <errno.h>
>  #ifdef HAVE_CONFIG_H
>  #include "config.h"
>  #endif
> --- file.c.orig Mon Nov 02 00:45:15 1998
> +++ file.c      Mon Nov 02 00:46:27 1998
> @@ -31,6 +31,7 @@
>  #include <sys/param.h> /* for MAXPATHLEN */
>  #include <sys/stat.h>
>  #include <fcntl.h>     /* for open() */
> +#include <errno.h>
>  #ifdef RESTORE_TIME
>  # if (__COHERENT__ >= 0x420)
>  #  include <sys/utime.h>
> --- fsmagic.c.orig      Mon Nov 02 00:45:07 1998
> +++ fsmagic.c   Mon Nov 02 00:50:40 1998
> @@ -31,6 +31,7 @@
>  #include <sys/stat.h>
>  #include <unistd.h>
>  #include <stdlib.h>
> +#include <errno.h>
>  #ifdef HAVE_CONFIG_H
>  #include "config.h"
>  #endif
> @@ -40,7 +41,13 @@
>  # endif
>  #endif
>  #ifndef        major                   /* if `major' not defined in
> types.h, */
> +#if defined(__CYGWIN32__) || defined(__CYGWIN__)
> +#define major(dev) (((unsigned) (dev))>>8)
> +#define minor(dev) ((dev)&0xff)
> +#define makedev(major,minor) (((major)<<8)|(minor))
> +#else
>  #include <sys/sysmacros.h>     /* try this one. */
> +#endif
>  #endif
>  #ifndef        major   /* still not defined? give up, manual
> intervention needed */
>                 /* If cc tries to compile this, read and act on it. */
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".